VMware vSphere Data Protection Private SSH Key Authentication Bypass (VMSA-2016-0024)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

A virtualization appliance installed on the remote host is affected by
an authentication bypass vulnerability.

Description :

The version of VMware vSphere Data Protection installed on the remote
host is 5.5.x / 5.8.x / 6.0.x / 6.1.x. It is, therefore, affected by
an authentication bypass vulnerability due to the use of an SSH
private key that has a known password and which is configured to allow
key-based authentication. A remote attacker can exploit this to gain
root login access via an SSH session.

See also :

http://www.vmware.com/security/advisories/VMSA-2016-0024.html
http://www.nessus.org/u?e458ec43

Solution :

Apply the appropriate patch according to the vendor advisory.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)

Family: Misc.

Nessus Plugin ID: 96338 ()

Bugtraq ID: 94990

CVE ID: CVE-2016-7456

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now